Clonable Class Reference

Interface for cloning objects. More...

`#include <cryptlib.h>`

Inheritance diagram for Clonable:

## Public Member Functions

virtual Clonable * | Clone () const
| Copies this object.

## Detailed Description

Interface for cloning objects.

Note
  this is not implemented by most classes

See also
  ClonableImpl, NotCopyable

Definition at line 589 of file cryptlib.h.

## Constructor & Destructor Documentation

## ~Clonable()

virtual Clonable::~Clonable | ( |  | ) |

inline virtual

Definition at line 592 of file cryptlib.h.

## Member Function Documentation

## Clone()

virtual Clonable * Clonable::Clone | ( |  | ) | const

inline virtual

Copies this object.

Returns
  a copy of this object

Exceptions

  NotImplemented |

Note
  this is not implemented by most classes

See also
  NotCopyable

Reimplemented in ClonableImpl< MD4, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, MD4 > >, ClonableImpl< MD5, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, MD5 > >, ClonableImpl< MessageAuthenticationCodeFinal< DMAC_Base< T > >, MessageAuthenticationCodeImpl< DMAC_Base< T > > >, ClonableImpl< MessageAuthenticationCodeFinal< Poly1305_Base< T > >, MessageAuthenticationCodeImpl< Poly1305_Base< T > > >, ClonableImpl< MessageAuthenticationCodeFinal< Poly1305TLS_Base >, MessageAuthenticationCodeImpl< Poly1305TLS_Base > >, ClonableImpl< MessageAuthenticationCodeFinal< TTMAC_Base >, MessageAuthenticationCodeImpl< TTMAC_Base > >, ClonableImpl< RIPEMD128, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, RIPEMD128 > >, ClonableImpl< RIPEMD160, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, RIPEMD160 > >, ClonableImpl< RIPEMD256, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, RIPEMD256 > >, ClonableImpl< RIPEMD320, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, RIPEMD320 > >, ClonableImpl< SHA1, AlgorithmImpl< IteratedHash< word32, BigEndian, T_BlockSize >, SHA1 > >, ClonableImpl< SHA224, AlgorithmImpl< IteratedHash< word32, BigEndian, T_BlockSize >, SHA224 > >, ClonableImpl< SHA256, AlgorithmImpl< IteratedHash< word32, BigEndian, T_BlockSize >, SHA256 > >, ClonableImpl< SHA384, AlgorithmImpl< IteratedHash< word64, BigEndian, T_BlockSize >, SHA384 > >, ClonableImpl< SHA512, AlgorithmImpl< IteratedHash< word64, BigEndian, T_BlockSize >, SHA512 > >, ClonableImpl< SM3, AlgorithmImpl< IteratedHash< word32, BigEndian, T_BlockSize >, SM3 > >, ClonableImpl< T_Transform, AlgorithmImpl< IteratedHash< T_HashWordType, T_Endianness, T_BlockSize >, T_Transform > >, ClonableImpl< Tiger, AlgorithmImpl< IteratedHash< word64, LittleEndian, T_BlockSize >, Tiger > >, and ClonableImpl< Whirlpool, AlgorithmImpl< IteratedHash< word64, BigEndian, T_BlockSize >, Whirlpool > >.

Definition at line 599 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h